Hello,
if my script contains the element
Autodesk.Revit.DB.Line
How can I bake that out in grasshopper as an actual line?
Thanks
Hello,
if my script contains the element
Autodesk.Revit.DB.Line
How can I bake that out in grasshopper as an actual line?
Thanks
I think this works. Use a Graphical Element selector to select the line. Then just Grab the elements Geometry.
Does that make sense?
Hi Scott, I tried this but please find attached snipping of error.
I would love to solve this with the nodes but would also like to know if I write a script in python, how I can convert the Autodesk.Revit.DB.Line into grasshopper geometry so i can start to manipulate the line with the script. I would have thought I would use a .convert or something to do this?
Thankyou very much. Sam
Hi @scottd
When I have my Autodesk.Revit.DB.Line, I am passing it into a Graphical Element Node.
I then get an error that says failed to convert Goo to Graphical Element?
But what is interesting is if I pass out say Autodesk.Revit.DB.Panel and pass it into a RiR geometry component it works and spits out breps. Could it be a units issue as I know that the line is converted from mm to revit units.
Thanks
Hi @ssw1,
You need to convert this line to a Rhino Curve before returning it.
To do so you can use the methods you will find at RhinoInside.Revit.Convert. GeometryDecoder
class.
In this case you are looking for ToCurve
.